axiethernet: Data Fields

| axiethernet Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- p
- r
- s
- t
- u

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - a -

- AnnounceIntervalDuration : XAvb_BmcData , XAvb_SignallingFrameData
- Avb : XAxiEthernet_Config
- AVBIsEnabled : XAvb
- AxiDevBaseAddress : XAxiEthernet_Config
- AxiDevType : XAxiEthernet_Config
- AxiDmaRxIntr : XAxiEthernet_Config
- AxiDmaTxIntr : XAxiEthernet_Config
- AxiFifoIntr : XAxiEthernet_Config
- AxiMcDmaChan_Cnt : XAxiEthernet_Config
- AxiMcDmaRxIntr : XAxiEthernet_Config
- AxiMcDmaTxIntr : XAxiEthernet_Config

### - b -

- BaseAddress : XAxiEthernet_Config , XAvb_Config

### - c -

- clockAccuracy : XAvb_ClockQuality
- clockClass : XAvb_ClockQuality
- ClockIdentityLower : XAvb_ClockIdentity , XAvb_PortIdentity
- ClockIdentityUpper : XAvb_PortIdentity , XAvb_ClockIdentity
- ClockQuality : XAvb_BmcData
- Config : XAxiEthernet , XAvb
- CounterAnnounceInterval : XAvb_Counters
- CounterLinkDelayInterval : XAvb_Counters
- CounterSyncEvents : XAvb_Counters
- CounterSyncInterval : XAvb_Counters
- CurrentBmc : XAvb

### - d -

- DeviceId : XAxiEthernet_Config , XAvb_Config

### - e -

- Enable_1588 : XAxiEthernet_Config
- EnableSgmiiOverLvds : XAxiEthernet_Config
- ExtMcast : XAxiEthernet_Config

### - f -

- Flags : XAxiEthernet
- FollowUpSequenceId : XAvb_SequenceIdStruct

### - g -

- GMDiscCallBackRef : XAvb
- GMDiscHandler : XAvb
- GrandmasterIdentity : XAvb_BmcData
- GrandmasterPriority1 : XAvb_BmcData
- GrandmasterPriority2 : XAvb_BmcData

### - i -

- IAmTheRtcMaster : XAvb_BmcData
- IsReady : XAxiEthernet , XAvb
- IsStarted : XAxiEthernet

### - l -

- latestMDSyncReceive : XAvb
- LinkDelay : XAvb_PtpStruct
- LinkDelayIntervalDuration : XAvb_SignallingFrameData
- logMessageInterval : XAvb_MDSyncReceive , XAvb_BmcData
- lostResponses : XAvb_StateMachineData
- Lower : XAvb_Uint64

### - m -

- MasterCorrectionField : XAvb_PtpStruct

### - n -

- Nanosec : XAvb_PtpStruct
- NanoSeconds : XAvb_RtcFormat
- NewMasterTime : XAvb_PtpStruct
- NewSlaveTime : XAvb_PtpStruct
- NewSyncSequenceId : XAvb_SequenceIdStruct
- NsOffsetForPDelayResp : XAvb_PtpStruct
- NumTableEntries : XAxiEthernet_Config

### - o -

- offsetScaledLogVariance : XAvb_ClockQuality
- OldMasterTime : XAvb_PtpStruct
- OldSlaveTime : XAvb_PtpStruct
- OldSyncSequenceId : XAvb_SequenceIdStruct
- Options : XAxiEthernet

### - p -

- PDelayFollowUpSequenceId : XAvb_SequenceIdStruct
- PDelayReqSequenceId : XAvb_SequenceIdStruct
- PDelayRespSequenceId : XAvb_SequenceIdStruct
- PDelayTimestampT1 : XAvb_PtpStruct
- PDelayTimestampT2 : XAvb_PtpStruct
- PDelayTimestampT3 : XAvb_PtpStruct
- PDelayTimestampT4 : XAvb_PtpStruct
- PeerASCapable : XAvb
- PhyType : XAxiEthernet_Config
- portIdLocal : XAvb
- PortNumber : XAvb_PortIdentity
- PtpCounters : XAvb
- PtpIsRunning : XAvb
- PTPLocked : XAvb
- PtpRecords : XAvb

### - r -

- rcvdPDelayResp : XAvb_StateMachineData
- rcvdPDelayRespFollowUp : XAvb_StateMachineData
- respPortIdentity : XAvb_StateMachineData
- respReqPortIdentity : XAvb_StateMachineData
- RxCsum : XAxiEthernet_Config
- RxPtpHardPointer : XAvb_Counters
- RxPtpSoftPointer : XAvb_Counters
- RxVlanStrp : XAxiEthernet_Config
- RxVlanTag : XAxiEthernet_Config
- RxVlanTran : XAxiEthernet_Config

### - s -

- SecondsLower : XAvb_RtcFormat
- SecondsUpper : XAvb_RtcFormat
- SequenceIdRecords : XAvb
- SignallingFrameData : XAvb
- SlaveSyncTimestamp : XAvb_PtpStruct
- SourcePortIdentity : XAvb_BmcData
- Speed : XAxiEthernet_Config
- StateMachineData : XAvb
- Stats : XAxiEthernet_Config
- stepsRemoved : XAvb_BmcData
- SyncIntervalDuration : XAvb_SignallingFrameData , XAvb_MDSyncReceive
- SyncSequenceId : XAvb_SequenceIdStruct

### - t -

- TemacIntr : XAxiEthernet_Config
- TemacType : XAxiEthernet_Config
- tlvLengthField : XAvb_BmcData
- TxCsum : XAxiEthernet_Config
- TxVlanStrp : XAxiEthernet_Config
- TxVlanTag : XAxiEthernet_Config
- TxVlanTran : XAxiEthernet_Config

### - u -

- Upper : XAvb_Uint64